Name:           tigeros-scripts
Version:        1.0
Release:        1%{?dist}
Summary:        TigerOS setup scripts
License:        GPLv3
URL:            https://github.com/RITlug/TigerOS
#tarball created with:
#	svn export https://github.com/RITlug/TigerOS/trunk/scripts/ tigeros-scripts-%{version}
#	tar -cf tigeros-scripts.tar.gz tigeros-scripts-%{version}/
Source0:    %{name}.tar.gz
BuildArch:  noarch
BuildRequires: svn
BuildRequires: tar
%description
Custom scripts for the TigerOS Fedora Remix

%prep
%setup -q

%build
echo "We don't need to build"

%install
%{__mkdir_p} %{buildroot}%{_prefix}/local/tigeros
install -p -m 755 enablerpmfusion.sh %{buildroot}%{_prefix}/local/tigeros/enablerpmfusion.sh
install -p -m 755 removal %{buildroot}%{_prefix}/local/tigeros/removal
install -p -m 755 postinstall %{buildroot}%{_prefix}/local/tigeros/postinstall
%{__mkdir_p} %{buildroot}%{_prefix}/local/tigeros/cs
install -p -m 755 cs/idea.sh %{buildroot}%{_prefix}/local/tigeros/cs/idea.sh
install -p -m 755 cs/jflap.sh %{buildroot}%{_prefix}/local/tigeros/cs/jflap.sh
install -p -m 755 cs/logisim.sh %{buildroot}%{_prefix}/local/tigeros/cs/logisim.sh
%{__mkdir_p} %{buildroot}%{_prefix}/local/tigeros/se
install -p -m 755 se/alloy.sh %{buildroot}%{_prefix}/local/tigeros/se/alloy.sh
install -p -m 755 se/spin.sh %{buildroot}%{_prefix}/local/tigeros/se/spin.sh

%files
%{_prefix}/local/tigeros/enablerpmfusion.sh
%{_prefix}/local/tigeros/removal
%{_prefix}/local/tigeros/postinstall
%{_prefix}/local/tigeros/cs
%{_prefix}/local/tigeros/cs/idea.sh
%{_prefix}/local/tigeros/cs/jflap.sh
%{_prefix}/local/tigeros/cs/logisim.sh
%{_prefix}/local/tigeros/se/alloy.sh
%{_prefix}/local/tigeros/se/spin.sh
%changelog
